# $Revision: 1.112 $, $Date: 2002/11/11 14:04:32 $
#
# Conditional build:
# _without_static - don't build static version
# _with_bash_history - build with additional history in /var/log/hist ;)

Summary:	GNU Bourne Again Shell (bash)
Summary(es):	GNU Bourne Again Shell (bash)
Summary(fr):	Le shell Bourne Again de GNU
Summary(pl):	Powoka GNU Bourne Again Shell (bash)
Summary(pt_BR):	GNU Bourne Again Shell (bash)
Summary(ru):	GNU Bourne Again Shell (bash)
Summary(uk):	GNU Bourne Again Shell (bash)
Name:		bash
Version:	2.05b
Release:	8%{?_with_bash_history:inv}
License:	GPL
Group:		Applications/Shells
Source0:	ftp://prep.ai.mit.edu/pub/gnu/bash/%{name}-%{version}.tar.gz
Source1:	%{name}rc
Source2:	%{name}-skel-.%{name}_logout
Source3:	%{name}-skel-.%{name}_profile
Source4:	%{name}-skel-.%{name}rc
Source5:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
Patch0:		%{name}-paths.patch
Patch1:		%{name}-security.patch
Patch2:		%{name}-autoconf.patch
Patch3:		%{name}-info.patch
Patch4:		%{name}-profile.patch
Patch5:		%{name}-requires.patch
Patch6:		%{name}-compat.patch
Patch7:		%{name}-shellfunc.patch
Patch8:		%{name}-DESTDIR.patch
Patch9:		%{name}-rlimit_locks.patch
Patch10:	%{name}-sighup.patch
%{?_with_bash_history:Patch11:bash-backup_history.patch}
Patch12:	ftp://ftp.gnu.org/pub/gnu/bash/bash-2.05b-patches/bash205b-001
Patch13:	ftp://ftp.gnu.org/pub/gnu/bash/bash-2.05b-patches/bash205b-002
Patch14:	ftp://ftp.gnu.org/pub/gnu/bash/bash-2.05b-patches/bash205b-003
Patch15:	ftp://ftp.gnu.org/pub/gnu/bash/bash-2.05b-patches/bash205b-004
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	glibc-devel >= 2.2
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	readline-devel >= 4.2
BuildRequires:	texinfo
%if %{!?_without_static:1}%{?_without_static:0}
# Require static library only for static build
BuildRequires:	glibc-static >= 2.2
BuildRequires:	ncurses-static >= 5.2
BuildRequires:	readline-static >= 4.3
%endif
Requires(post):	grep
Requires(preun):	grep
Requires:	readline >= 4.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	bash-doc
Obsoletes:	bash2
Obsoletes:	bash2-doc
Obsoletes:	etcskel

%description
Bash is a GNU project sh-compatible shell or command language
interpreter. Bash (Bourne Again shell) incorporates useful features
from the Korn shell (ksh) and the C shell (csh). Most sh scripts can
be run by bash without modification. Bash offers several improvements
over sh, including command line editing, unlimited size command
history, job control, shell functions and aliases, indexed arrays of
unlimited size and integer arithmetic in any base from two to 64. Bash
is ultimately intended to conform to the IEEE POSIX P1003.2/ISO 9945.2
Shell and Tools standard. Bash is the default shell for Linux
Mandrake. You should install bash because of its popularity and power.
You'll probably end up using it.

%description -l es
Bash es un interpretador de comandos compatible con sh, que ejecuta
comandos ledos de la entrada padrn o de un archivo. Bash tambin
incorpora caractersticas tiles de las shells Korn y C (ksh y csh).
Bash ha sido desarrollado para ser una adicin compatible con la
especificacin IEEE Posix para shells y herramientas (IEEE Working
Group 1003.2).

%description -l de
Bash ist eine sh-kompatible Shell und Kommandosprache aus dem
GNU-Projekt. Bash (Bourne Again Shell) vereinigt die ntzlichen
Features aus der Korn-Shell (ksh) und der C-Shell (csh). Die meisten
sh-Skripte laufen ohne nderungen auf bash. Bash hat viele
Erweiterungen im Vergleich zur "normalen" sh, wie z.B.
Kommandozeilenbearbeitung, unbeschrnkte Gre der command-history,
Job-Kontrolle, Shell-Funktionen und -Aliase, unbegrenzt groe
indizierte Arrays und Integer-Arithmetik in einer Basis von 2 bis 64.
Hauptziel von bash ist es, den IEEE POSIX P1003.2/ISO 9945.2 Shell-
und Tools-Standard einzuhalten. Bash ist die Standard-Shell fr Linux
Mandrake.

%description -l fr
Bash est un shell (interprteur de commande) du projet GNU, compatible
avec le shell historique sh. Bash (Bourne Again SHell) comprend de
nombreuses fonctionnalits du Korn SHell (ksh) et du C SHell (csh). La
plupart des scripts sh sont excutables sans modifications. Bash
comprend nombre d'amliorations par rapport  sh : dition de la ligne
de commande, historique illimit, contrle des processus
d'arrire-plan, fonctions de shell, alias, tableaux indexs de taille
illimite et calcul sur des entiers dans n'importe quelle base de 2 
64. Bash est conforme au standard IEEE POSIX P1003.2/ISO 9945.2 Shell
and Tools. Bash est le shell par dfaut de Mandrake. Vous devriez
l'installer du fait de sa puissance et de sa popularit. Vous finirez
probablement par l'utiliser.

%description -l pl
Bash (Bourne Again SHell) jest projektem GNU powoki kompatybilnej z
sh oraz interpretera jzyka polece. Posiada uyteczne waciwoci
powok Korn (ksh) i C (csh). Wikszo skryptw sh moe by
uruchamiana w bashu bez modyfikacji. Oferuje on kilka ulepsze w
stusunku do sh, wczajc edycj linii polece, nieograniczony rozmiar
historii polece, funkcje i aliasy, indeksowane tablice
nieograniczonych rozmiarw oraz arytmetyk cakowitoliczbow o
dowolnej podstawie od 2 do 64. W zamierzeniu ostatecznie ma by zgodny
ze standardem IEEE POSIX P1003.2/ISO 9945.2 Shell and Tools.

%description -l pt_BR
Bash  um interpretador de comandos compatvel com sh, que executa
comandos lidos da entrada padro ou de um arquivo. Bash tambm
incorpora caractersticas teis das shells Korn e C (ksh e csh). Bash
tem sido desenvolvido para ser uma implementao compatvel com a
especificao IEEE Posix para shells e ferramentas (IEEE Working Group
1003.2).

%description -l ru
Bash -  sh-    (shell),
 ,       .
Bash      Korn  C shell
(ksh  csh).

Bash   ,  IEEE Posix Shell and
Tools specification (IEEE Working Group 1003.2).

%description -l tr
Bash standart giriten ya da bir dosyadan komut okuyup altran sh
uyumlu bir komut dili yorumlaycsdr. Ayn zamanda Korn ve C
kabuklarnn (ksh ve csh) kullanl zelliklerini de kapsar. Bash,
IEEE Posix Kabuk ve Ara ayrntlarna (IEEE Working Group 1003.2)
uyumlu bir uygulama olarak tasarlanmtr.

%description -l uk
Bash -  sh-ͦ  ϧ  (shell),
  ڦ     . Bash ͦ
Φ   Ҧ Korn  C shell (ksh  csh).

Bash   ̦æ,  צצ IEEE Posix Shell and
Tools specification (IEEE Working Group 1003.2).

%package static
Summary:	Statically linked GNU Bourne Again Shell (bash)
Summary(pl):	Statycznie zlinkowany GNU Bourne Again Shell (bash)
Group:		Applications/Shells
Requires:	%{name}
Requires(post):	grep
Requires(preun):	grep

%description static
Bash is a GNU project sh-compatible shell or command language
interpreter. Bash (Bourne Again shell) incorporates useful features
from the Korn shell (ksh) and the C shell (csh). Most sh scripts can
be run by bash without modification. Bash offers several improvements
over sh, including command line editing, unlimited size command
history, job control, shell functions and aliases, indexed arrays of
unlimited size and integer arithmetic in any base from two to 64. Bash
is ultimately intended to conform to the IEEE POSIX P1003.2/ISO 9945.2
Shell and Tools standard. Bash is the default shell for Linux
Mandrake. You should install bash because of its popularity and power.
You'll probably end up using it. This package contains statically
linked version of bash.

%description static -l pl
Bash jest zaawansowanym shellem, ktry wykonuje komendy czytane ze
standardowego wejcia (stdin) lub z pliku. Posiada waciwoci powok
Korn i C (ksh i csh). Bash ma rwnie zaimplementowany IEEE Posix
Shell oraz jest zgodny ze specyfikacj - IEEE Working Group 1003.2. W
tym pakiecie jest statycznie zlinkowany bash.

%prep
%setup -q -a5
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%{?_with_bash_history:%patch11 -p1}
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0

echo %{version} > _distribution
echo %{release} > _patchlevel

%build
%{__autoconf}
cp -f /usr/share/automake/config.* support/
for mode in %{!?_without_static:static} shared; do
%configure \
	--enable-alias \
	--enable-help-builtin \
	--enable-history \
	--enable-job-control \
	--enable-restricted \
	--enable-readline \
	--with-curses \
	--enable-extended-glob \
	--enable-dparen-arithmetic \
	`[ "$mode" = "static" ] && echo "--enable-static-link"` \
	--with-installed-readline

%{__make} DEFS="-DHAVE_CONFIG_H -D_GNU_SOURCE"

[ "$mode" = "static" ] && mv -f bash bash.static || :
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{bin,etc/skel}

%{?_with_bash_history:install -d $RPM_BUILD_ROOT/var/log/bash_hist}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_bindir}/bash $RPM_BUILD_ROOT/bin
%{?_without_static:#}install	bash.static $RPM_BUILD_ROOT/bin

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/bashrc
echo .so bash.1 > $RPM_BUILD_ROOT%{_mandir}/man1/rbash.1

for d in es fr it ja ko nl pl ; do
	install -d $RPM_BUILD_ROOT%{_mandir}/$d/man1
	install man/$d/* $RPM_BUILD_ROOT%{_mandir}/$d/man1
	echo .so bash.1 > $RPM_BUILD_ROOT%{_mandir}/$d/man1/rbash.1
done

ln -sf bash $RPM_BUILD_ROOT/bin/rbash

install %{SOURCE2} $RPM_BUILD_ROOT/etc/skel/.bash_logout
install %{SOURCE3} $RPM_BUILD_ROOT/etc/skel/.bash_profile
install %{SOURCE4} $RPM_BUILD_ROOT/etc/skel/.bashrc

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/bash" > /etc/shells
	echo "/bin/rbash" >> /etc/shells
else
	if ! grep -q '^/bin/bash$' /etc/shells; then
		echo "/bin/bash" >> /etc/shells
	fi
	if ! grep -q '^/bin/rbash$' /etc/shells; then
		echo "/bin/rbash" >> /etc/shells
	fi
fi

[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post static
if [ ! -f /etc/shells ]; then
	echo "/bin/bash.static" > /etc/shells
else
	if ! grep -q '^/bin/bash.static$' /etc/shells; then
		echo "/bin/bash.static" >> /etc/shells
	fi
fi

%preun
if [ "$1" = "0" ]; then
	grep -v /bin/bash /etc/shells | grep -v /bin/rbash > /etc/shells.new
	mv -f /etc/shells.new /etc/shells
fi

%preun static
if [ "$1" = "0" ]; then
	grep -v /bin/bash.static /etc/shells > /etc/shells.new
	mv -f /etc/shells.new /etc/shells
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc NEWS README doc/{FAQ,INTRO}

%config %verify(not md5 size mtime) %{_sysconfdir}/bashrc
%config(noreplace,missingok) %verify(not md5 size mtime) /etc/skel/.bash_logout
%config(noreplace,missingok) %verify(not md5 size mtime) /etc/skel/.bash_profile
%config(noreplace,missingok) %verify(not md5 size mtime) /etc/skel/.bashrc

%attr(755,root,root) /bin/bash
%attr(755,root,root) /bin/rbash
%attr(755,root,root) %{_bindir}/bashbug

%{?_with_bash_history:%attr(751,root,root) %dir /var/log/bash_hist}
%{_infodir}/bash.info.gz
%{_mandir}/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*


%{?_without_static:#}%files static
%{?_without_static:#}%defattr(644,root,root,755)
%{?_without_static:#}%attr(755,root,root) /bin/bash.static

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: bash.spec,v $
Revision 1.112  2002/11/11 14:04:32  kloczek
- releas 8: merge official bash patches from ftp://ftp.gnu.org/pub/gnu/bash/bash-2.05b-patches/

Revision 1.111  2002/08/24 21:21:16  undefine
- bash_hist need 751.

Revision 1.110  2002/07/28 14:29:02  kloczek
- release 2: BuildRequires: readline-devel >= 4.3, Requires: readline >= 4.3.

Revision 1.109  2002/07/27 15:25:54  qboosh
- updated to 2.05b
- removed obsolete 2.05a-service_completion patch
- removed (even not used) tmpfile patch - obsolete too
- updated autoconf,requires,rlimit_locks patches

Revision 1.108  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.107  2002/05/16 13:10:49  undefine
- add information in header about conditional _with_bash_history built

Revision 1.106  2002/05/16 11:08:48  pioklo
- added dir /var/log/bash_hist to patch to invigilate users

Revision 1.105  2002/05/14 14:45:18  undefine
- conditional build with patch to invigilate users

Revision 1.104  2002/05/08 17:12:38  kloczek
- bump release to 14,
- merge translations from KSI and Conectiva.

Revision 1.103  2002/04/25 15:51:23  arturs
fixed a small typo

Revision 1.102  2002/04/01 12:24:00  grzegol
- added conditional description
STBR for test

Revision 1.101  2002/03/29 12:19:24  pioklo
-rel 3

Revision 1.100  2002/03/29 11:48:22  pioklo
-typo :)

Revision 1.99  2002/03/29 11:44:57  pioklo
-typo

Revision 1.98  2002/03/29 11:13:36  pioklo
- added patch

Revision 1.97  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.96  2002/02/19 23:35:32  ankry
- release 2 (updated man-pages tar)

Revision 1.95  2002/02/18 13:07:38  gotar
- don't require fileutils,
- requires(post,preun): grep.

Revision 1.94  2002/02/15 22:05:09  filon
- updated to 2.05a
- updated patches DESTDIR, autoconf, requires, shellfunc
- rewrite rlimit_locks patch
- ipv6 patch seems to be obsoletted by code changes

Revision 1.93  2002/02/13 19:45:28  qboosh
- adapterized, pl summary, release 10

Revision 1.92  2002/02/08 08:57:33  filon
- fixed small typo

Revision 1.91  2002/01/24 00:12:57  ankry
- added man-pages tar URL

Revision 1.90  2002/01/23 00:00:48  qrczak
Typo.

Revision 1.89  2002/01/22 22:34:52  qboosh
- the same, upper case

Revision 1.88  2002/01/22 22:32:42  qboosh
- typo

Revision 1.87  2002/01/18 02:12:29  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.86  2002/01/07 19:55:31  marcus
- added BiuldRequires: texinfo
- rel. 9, stb

Revision 1.85  2001/12/28 17:15:54  gotar
- changes in descriptions.

Revision 1.84  2001/10/19 11:49:24  ankry
- added es man pages
- release 8

Revision 1.83  2001/10/15 13:29:54  qboosh
- release 7: added fr,it,ja,ko,nl,pl man pages

Revision 1.82  2001/10/11 12:03:06  qboosh
- BuildRequires: autoconf

Revision 1.81  2001/09/09 17:46:13  gotar
- cosmetical changes in descriptions.

Revision 1.80  2001/08/30 12:18:48  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.79  2001/08/26 10:30:39  gotar
- removed Provides: which; this is INTERNAL command and thus it's not
  available from within other shell.

Revision 1.78  2001/08/25 11:52:28  filon
- added Provides: which

Revision 1.77  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.75  2001/07/14 17:28:11  gotar
- removed redundant rpm macros.

Revision 1.74  2001/06/30 13:00:53  gotar
- added %verify flags for %{_sysconfdir}/bashrc file,
- set %config for /etc/skel/*,
- added using %{__*} macros.

Revision 1.73  2001/06/16 01:02:51  kloczek
- release 6.

Revision 1.72  2001/06/04 14:39:39  baggins
- added _without_static bcond

Revision 1.71  2001/05/23 05:06:44  kloczek
- relase 5,
- added to Obsoletes bash-doc,
- merge tmpfile patch from rawhide.

Revision 1.70  2001/04/21 07:20:33  kloczek
- release 3,
- added DESTDIR patch and DESTDIR style %install,
- merge sighup and rlimit_locks patches fron Conectiva.

Revision 1.69  2001/04/18 22:06:17  misiek
- ipv6 support is back
- buildrequires: bison
- link with tinfo instead whole ncurses
- fix readline detection
- build shared and static version instead of two static
- relase 2

Revision 1.68  2001/04/12 20:48:50  kloczek
- updated to 2.05,
- removed outdated fixes patch,
- commented ipv6 patch (must be updated).

Revision 1.67  2001/04/12 19:51:31  kloczek
- rebuild against readline 4.2.

Revision 1.66  2000/12/14 20:40:59  waszi
- typo

Revision 1.65  2000/12/14 12:49:22  jajcus
- Release: 15
- no more localized /etc/skel

Revision 1.64  2000/12/01 08:58:03  misiek
ipv6 support; release 14; sent to builder

Revision 1.63  2000/11/29 06:26:13  kloczek
- fix: patch with -p0 for export patc.

Revision 1.62  2000/11/29 05:31:55  kloczek
- fix in %changelog.

Revision 1.61  2000/11/29 05:27:10  kloczek
- release 13,
- merge export patch from RH,
- rebuild against glibc 2.2.

Revision 1.60  2000/11/03 11:51:12  cieciwa
- *** empty log message ***

Revision 1.59  2000/11/03 11:45:37  cieciwa
- removed "gzip -9nf...."

Revision 1.58  2000/11/03 09:52:35  cieciwa
- added "gzip -9nf $RPM_BUILD_ROOT%{_infodir}/bash.info"

Revision 1.57  2000/10/10 10:03:55  kloczek
- release 12: use new rpm new automation suit.

Revision 1.56  2000/09/08 05:09:23  kloczek
- release 11.

Revision 1.55  2000/07/13 23:05:42  baggins
- release 7
- rebuild with ncurses 5.1

Revision 1.54  2000/07/13 20:36:47  baggins
- release 6

Revision 1.53  2000/06/21 20:04:39  kloczek
- fix release (5),
- added etcskel to Obsoletes,
- cosmetics in %post/%preun.

Revision 1.52  2000/06/21 19:59:01  kloczek
- release 5.

Revision 1.51  2000/06/17 17:36:36  zagrodzki
- mv -f instead of mv

Revision 1.50  2000/06/12 17:51:21  kloczek
- release 4,
- merged rawhide patches (new requires patch, fixes for 64bit archs).

Revision 1.49  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.48  2000/05/24 16:27:27  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||
- release++

Revision 1.47  2000/05/18 02:01:25  kloczek
- spec adapterized.

Revision 1.46  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/%post is executed only when info is already
  installed

Revision 1.45  2000/04/11 08:14:15  kloczek
- release 2,
- fix: added missing "BuildRequires: glibc-static".

Revision 1.44  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.43  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.42  2000/03/23 10:09:06  kloczek
- updated to 2.04,
- updated patches list.

Revision 1.41  2000/03/05 09:23:58  mkochano
- /etc/bashrc marked as '%config'.

Revision 1.40  2000/02/11 21:09:13  pius
- adapterized

Revision 1.39  2000/02/11 21:01:01  pius
- fixed guessing installed libreadline version
- build against external readline library
- cosmetics
- release++

Revision 1.38  2000/02/04 03:59:26  kloczek
- release 11,
- added bash2 and bash2-doc to Obsoletes,
- updated requires patch.

Revision 1.37  1999/11/21 18:29:07  kloczek
- link bash wth libtinfo instead libncurses.

Revision 1.36  1999/11/17 00:24:47  kloczek
- release 10,
- build against ncurses 5.0.

Revision 1.35  1999/09/24 10:45:01  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.34  1999/09/21 11:30:15  kloczek
- release 8.

Revision 1.33  1999/09/21 10:43:01  wiget
- fixed BuildRequires

Revision 1.32  1999/09/19 09:05:39  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.31  1999/08/30 08:17:39  kloczek
- new %description's,
- set 'NON_INTERACTIVE_LOGIN_SHELLS' so profile gets read (profile patch
  from rawhide),
- added requires patch (produce list required programs by script).

Revision 1.30  1999/08/26 12:32:07  baggins
- fixed paths in %files

Revision 1.29  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.28  1999/07/16 00:43:49  kloczek
- fix: register correctly skel files (".*" is the same as ".").

Revision 1.27  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jun  5 1999 Jan Rkorajski <baggins@pld.org.pl>
  [2.03-7]
- added static subpackage

* Wed May 19 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.03-5]
- more macros,
- FHS 2.0.

* Mon May  3 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.03-4]
- added {un}registering info page for bash (added bash-info.patch).

* Mon Feb 22 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.03-1]
- removed /bin/sh link from bash (this is now provided by pdksh),
- removed man group from man pages,
- gzipping instead bzipping2 man pages,
- rewrited %post, %preun,
- removed %config and %verify rules from /etc/bashrc (all extensions can be
  added by adding /etc/profile.d/*.sh scripts).

* Sun Sep 05 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.02.1-1d]
- fixed files permissions,
- build with restricted shell support.

* Wed Jun 17 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [14.7-9d]
- build against glibc-2.1,
- translation modified for pl,
- added %defattr support,
- build from non root's account,
- start at RH spec.
